Bug 124678 - Update www/opera to 9.5
Summary: Update www/opera to 9.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-17 16:50 UTC by Arjan van Leeuwen
Modified: 2008-06-24 21:00 UTC (History)
0 users

See Also:


Attachments
opera.diff (36.51 KB, patch)
2008-06-17 16:50 UTC, Arjan van Leeuwen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arjan van Leeuwen 2008-06-17 16:50:02 UTC

This patch updates opera (www/opera) to version 9.5. It also tries
to be as close as possible to Opera's original package without breaking
the user experience.

This port makes the www/opera-devel port obsolete.
Comment 1 Edwin Groothuis freebsd_committer 2008-06-17 16:50:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2008-06-17 22:13:07 UTC
On Tue, 17 Jun 2008 17:29:16 +0200
"Arjan van Leeuwen" <freebsd-maintainer@opera.com> wrote:
> This patch updates opera (www/opera) to version 9.5.


Thank you.

> It also tries to be as close as possible to Opera's original package
> without breaking the user experience.


Ummm,  I'm not opposed to the idea per se, but are you sure it a good
idea to remove all FreeBSD customization? (like search.ini, etc.)

BTW, what will it keep from custom settings (search, keyboard
shortcuts, etc.)?

-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"
FreeBSD committer -> itetcu@FreeBSD.org, PGP Key ID 057E9F8B493A297B
Comment 3 dfilter service freebsd_committer 2008-06-24 20:57:29 UTC
itetcu      2008-06-24 19:57:24 UTC

  FreeBSD ports repository

  Modified files:
    www/opera            Makefile distinfo pkg-plist 
    www/opera/files      patch-install.sh 
  Removed files:
    www/opera            pkg-message 
    www/opera/files      patch-search.ini symhack.c 
  Log:
  Update to version 9.5:
  - drop 4.x support
  - native amd64 binaries
  - changed to the mail storage format
  - changed shortcuts (part of the old one can be enabled back via Preferences)
  - no search.ini FreeBSD customizations anymore (but it will keep your custom
  searches)
  
  See full log at:
  http://www.opera.com/docs/changelogs/freebsd/950/
  
  PR:             ports/124678
  Submitted by:   Arjan van Leeuwen (maintainer)
  
  Revision  Changes    Path
  1.74      +27 -74    ports/www/opera/Makefile
  1.49      +15 -9     ports/www/opera/distinfo
  1.27      +14 -346   ports/www/opera/files/patch-install.sh
  1.7       +0 -48     ports/www/opera/files/patch-search.ini (dead)
  1.2       +0 -11     ports/www/opera/files/symhack.c (dead)
  1.13      +0 -6      ports/www/opera/pkg-message (dead)
  1.33      +242 -102  ports/www/opera/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2008-06-24 20:57:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!